//
// vfive: Vector Field Interactive Visualization Environment
//
//
// color.c++
//
//                by Kageyama, Akira  (kage@nifs.ac.jp)  2000.03.19
//  
// Please read the file "LICENCE_ja.txt"(in Japanese) or "LICENCE_en.txt" (in English)
// before you use this software. 

#include "vfive.h"

float*
Color:: aka(float f)
{
  static float c[4];
  c[0] = 1.0; c[1] = f; c[2] = f; c[3] = 1.0;
  return(c);
}

float*
Color:: ao(float f)
{
  static float c[4];
  c[0] = f; c[1] = f; c[2] = 1.0; c[3] = 1.0;
  return(c);
}

float*
Color:: midori(float f)
{
  static float c[4];
  c[0] = f; c[1] = 1.0; c[2] = f; c[3] = 1.0;
  return(c);
}

float*
Color:: kiiro(float f)
{
  static float c[4];
  c[0] = 1.0; c[1] = 1.0; c[2] = f; c[3] = 1.0;
  return(c);
}

float*
Color:: murasaki(float f)
{
  static float c[4];
  c[0] = 1.0; c[1] = f; c[2] = 1.0; c[3] = 1.0;
  return(c);
}

float*
Color:: mizuiro(float f)
{
  static float c[4];
  c[0] = f; c[1] = 1.0; c[2] = 1.0; c[3] = 1.0;
  return(c);
}

float*
Color:: kuro(float f)
{
  static float c[4];
  c[0] = f; c[1] = f; c[2] = f; c[3] = 1.0;
  return(c);
}

