/***********************************************/
/** Number of Triangles v.s. Pattern Code.    **/
/** A cube has 8 vertices. each               **/
/** vertices have two states; positive or     **/
/** negative. so, there are 2^8=256 patterns. **/
/** -8 means such a code is 'impossible'.     **/
/***********************************************/
int TriangleNum[256] = {
    0, 1, 1, 2, 1, 2, 2, 3, 1, 2, 2, 3, 2, 3, 3, 2,
    1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4,-8,
    1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4,-8,
    2, 3, 3, 2, 3, 4, 4,-8, 3, 4, 4,-8, 4,-8,-8,-8,
    1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4,-8,
    2, 3, 3, 4, 3, 2, 4,-8, 3, 4, 4,-8, 4,-8,-8,-8,
    2, 3, 3, 4, 3, 4, 4,-8, 3, 4, 4,-8, 4,-8,-8,-8,
    3, 4, 4,-8, 4,-8,-8,-8, 4,-8,-8,-8,-8,-8,-8,-8,
    1, 2, 2, 3, 2, 3, 3, 4, 2, 3, 3, 4, 3, 4, 4,-8,
    2, 3, 3, 4, 3, 4, 4,-8, 3, 4, 4,-8, 4,-8,-8,-8,
    2, 3, 3, 4, 3, 4, 4,-8, 3, 4, 2,-8, 4,-8,-8,-8,
    3, 4, 4,-8, 4,-8,-8,-8, 4,-8,-8,-8,-8,-8,-8,-8,
    2, 3, 3, 4, 3, 4, 4,-8, 3, 4, 4,-8, 2,-8,-8,-8,
    3, 4, 4,-8, 4,-8,-8,-8, 4,-8,-8,-8,-8,-8,-8,-8,
    3, 4, 4,-8, 4,-8,-8,-8, 4,-8,-8,-8,-8,-8,-8,-8,
    2,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,-8,
    };
/****************************************/
/** A cube has 12 edges, an edge is    **/
/** sandwitched by the following 2     **/
/** vertices. The index is from 0 to 7 **/
/** since a cube has 8 vertices.       **/
/****************************************/
int EdgeEndVert[12][2] = {
    {0, 1}, /*  0 */
    {0, 2}, /*  1 */
    {1, 3}, /*  2 */
    {2, 3}, /*  3 */
    {0, 4}, /*  4 */
    {1, 5}, /*  5 */
    {2, 6}, /*  6 */
    {3, 7}, /*  7 */
    {4, 5}, /*  8 */
    {4, 6}, /*  9 */
    {5, 7}, /* 10 */
    {6, 7}  /* 11 */
    };
