//
// vfive: Vector Field Interactive Visualization Environment
//
//
// recalc.c++     
//
//           by Kageyama, Akira  (kage@nifs.ac.jp)    2000.04.20
//
//
// Please read the file "LICENCE_ja.txt"(in Japanese) or "LICENCE_en.txt" (in English)
// before you use this software. 

#include "vfive.h"

extern Isosurf*        isosurf;
extern OrthoSlicer*    orthoSlicer[3];    
extern cave_volrend*   volumerendering;

void
recalc_volrend()
{
  int n;
  n = volumerendering->sscal();
  volumerendering->recalc(n);
}

void
recalc_iso()
{
  isosurf->calc();
}

void
recalc_ortho_i()
{
 orthoSlicer[0]->calc();
}

void
recalc_ortho_j()
{
orthoSlicer[1]->calc();
}


void
recalc_ortho_k()
{
orthoSlicer[2]->calc();
}


