//
// vfive: Vector Field Interactive Visualization Environment
//
// functions.h 
//
//                by Kageyama, Akira  (kage@nifs.ac.jp)  1999.13.14
//  
// Please read the file "LICENCE_ja.txt"(in Japanese) or "LICENCE_en.txt" (in English)
// before you use this software. 


//
// wand_button.c++
//
void  button1();
void  button2();
void  button3();

//
// recalc.c++
//
void recalc_iso();
void recalc_ortho_i();
void recalc_ortho_j();
void recalc_ortho_k();
void recalc_volrend();

//
// intpol.c++
//

int   find_fact(ffloat_, ffloat_, ffloat_,int *, int *, int *,
		ffloat_ *cx, ffloat_ *cy, ffloat_ *cz);
ffloat_ interpolator(int, int, int, ffloat_ *, ffloat_ *, ffloat_ *, ffloat_ ***);
int    intpol_get_scalar(int, ffloat_ *, ffloat_ *);
int    intpol_get_scalar_for_local_slicer(int, float *, ffloat_ *);
int    intpol_get_vect_for_local_arrow(ffloat_ *, ffloat_ *, ffloat_ *);
int    intpol_get_vect_for_local_slicer(float *, float *, ffloat_ *);
int    intpol_get_vect_for_tracer(ffloat_, ffloat_ *, ffloat_ *, int sv);
//int    intpol_get_vect_for_lineAdvector(ffloat_, ffloat_ *, ffloat_ *, int sv);
int    intpol_get_normed_vect_for_tracer(ffloat_, ffloat_ *, ffloat_ *, int sv);
int    intpol_get_vector(int, ffloat_ *pos, ffloat_ *vec, ffloat_ *);
int    intpol_get_vect_for_snow(float *pos, float *vec, float *);

//
// basic.c++
//

void   hsv2rgb(float, float, float, float *, float *, float *);
void   v5_error(char *);
void   v5_get_string(char *, char *, char *);
void   v5_get_int(char *, char *, int *);
void   v5_get_float(char *, char *, float *);
void   v5_get_double(char *, char *, double *);
float  vec_amp(float *);
int    *create_array_i1(int);
ffloat_ *create_array_ff1(int);
ffloat_ **create_array_ff2(int, int);
ffloat_ ***create_array_ff3(int, int, int);
ffloat_ ****create_array_ff4(int, int, int, int);
float  *create_array_f1(int);
float  **create_array_f2(int, int);
float  ***create_array_f3(int, int, int);
float  ****create_array_f4(int, int, int, int);
unsigned char  ****create_array_uc4(int, int, int, int);

float  vec_cross_normalf(float *, float *, float *);
void   vec_ff2f(int n, float *, const ffloat_ *);
void   vec_f2ff(int n, ffloat_ *, const float *);
void   vec_f2f(int n, float *, const float *);
float  vec_dotprdct(const float *, const float *);
void   vec_normalize(float *);
float  vec_norm(float *);
double vec_norm(double *);
void   vec_rot_z(const float *, float *, const float);

float scaleintp();

