//
//
// words.h
//
//    Nobuaki Ohno   2005.11
//
//    A set of Data(Stroke Font) and Functions 
//      to display some messages and figures in CAVE room.
//
// Please read the file "LICENCE_ja.txt"(in Japanese) or "LICENCE_en.txt" (in English)
// before you use this software. 
#include <string.h>


struct cave_word {

    unsigned char pen_num;
    unsigned char v_length[4];

    float space;

    float vertex_data[20][2];

};


class cave_message {

    /* 0  - 25 :  A to Z 
       26 - 51 :  a to z 
       52      :  .
       53      :  ,
       54      :  '
       55      :  :
       56      :  ;
       57      :  !
       58      :  ?
       59      :  #
       60      :  _
       61 - 70 :  0 to 9
       71      :  +
       72      :  -
       73      :  /
       74      :  *
       75      :  =
       76      :  [
       77      :  ]
       78      :  (
       79      :  )
       80      :  <
       81      :  >
       82      :  |
       83      :  "
       84      :  $
       85      :  %
       86      :  &
       87      :  ~
       88      :  ^
       89      :  \
       90      :  @
       91      :  {
       92      :  }

       93      :    (space)
       94      :    (return /n)
     */

    cave_word word[96];

  public:

    cave_message();
    void write_message(float scale, char *words, float *space, float *vspace);

};

